# Uses of Class
java.awt.desktop.ScreenSleepEvent

Packages that use ScreenSleepEvent
Package
Description
java.awt.desktop
Provides interfaces and classes for interaction with various desktop capabilities.

## Uses of ScreenSleepEvent in java.awt.desktop

Methods in java.awt.desktop with parameters of type ScreenSleepEvent
Modifier and Type
Method
Description
`void`
ScreenSleepListener.`screenAboutToSleep(ScreenSleepEvent e)`
Called when the system displays have entered power save sleep.
`void`
ScreenSleepListener.`screenAwoke(ScreenSleepEvent e)`
Called when the system displays have awoken from power save sleep.